Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class Jms11Support

    java.lang.Object
      org.mule.transport.jms.Jms11Support

All Implemented Interfaces:
  JmsSupport

Direct Known Subclasses:
  Jms102bSupport

    public class Jms11Support

extends Object
implements JmsSupport

`Jms11Support` is a template class to provide an abstraction to to the JMS 1.1 API specification.

Field Summary
`protected JmsConnector` | `connector`
`protected Log` | `logger` logger used by this class

Constructor Summary
`Jms11Support(JmsConnector connector)`

Method Summary
`Connection` | `createConnection(ConnectionFactory connectionFactory)`
`Connection` | `createConnection(ConnectionFactory connectionFactory, String username, String password)`
`MessageConsumer` | `createConsumer(Session session, Destination destination, boolean topic, ImmutableEndpoint endpoint)`
`MessageConsumer` | `createConsumer(Session session, Destination destination, String messageSelector, boolean noLocal, String durableName, boolean topic, ImmutableEndpoint endpoint)`
`Destination` | `createDestination(Session session, ImmutableEndpoint endpoint)`
`Destination` | `createDestination(Session session, String name, boolean topic, ImmutableEndpoint endpoint)`
`MessageProducer` | `createProducer(Session session, Destination destination, boolean topic)`
`Session` | `createSession(Connection connection, boolean topic, boolean transacted, int ackMode, boolean noLocal)`
`Destination` | `createTemporaryDestination(Session session, boolean topic)`
`protected Destination` | `getJndiDestination(String name)`
`void` | `send(MessageProducer producer, Message message, boolean topic, ImmutableEndpoint endpoint)`
`void` | `send(MessageProducer producer, Message message, boolean persistent, int priority, long ttl, boolean topic, ImmutableEndpoint endpoint)`
`void` | `send(MessageProducer producer, Message message, Destination dest, boolean topic, ImmutableEndpoint endpoint)`
`void` | `send(MessageProducer producer, Message message, Destination dest, boolean persistent, int priority, long ttl, boolean topic, ImmutableEndpoint endpoint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  logger used by this class

### connector

    protected JmsConnector connector

Constructor Detail

### Jms11Support

    public Jms11Support(JmsConnector connector)

Method Detail

### createConnection

    public Connection createConnection(ConnectionFactory connectionFactory,
                                       String username,
                                       String password)
                                throws JMSException

  Specified by:
    `createConnection` in interface `JmsSupport`
  Throws:
    `JMSException`

### createConnection

    public Connection createConnection(ConnectionFactory connectionFactory)
                                throws JMSException

  Specified by:
    `createConnection` in interface `JmsSupport`
  Throws:
    `JMSException`

### createSession

    public Session createSession(Connection connection,
                                 boolean topic,
                                 boolean transacted,
                                 int ackMode,
                                 boolean noLocal)
                          throws JMSException

  Specified by:
    `createSession` in interface `JmsSupport`
  Throws:
    `JMSException`

### createProducer

    public MessageProducer createProducer(Session session,
                                          Destination destination,
                                          boolean topic)
                                   throws JMSException

  Specified by:
    `createProducer` in interface `JmsSupport`
  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Session session,
                                          Destination destination,
                                          boolean topic,
                                          ImmutableEndpoint endpoint)
                                   throws JMSException

  Specified by:
    `createConsumer` in interface `JmsSupport`
  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Session session,
                                          Destination destination,
                                          String messageSelector,
                                          boolean noLocal,
                                          String durableName,
                                          boolean topic,
                                          ImmutableEndpoint endpoint)
                                   throws JMSException

  Specified by:
    `createConsumer` in interface `JmsSupport`
  Throws:
    `JMSException`

### createDestination

    public Destination createDestination(Session session,
                                         ImmutableEndpoint endpoint)
                                  throws JMSException

  Specified by:
    `createDestination` in interface `JmsSupport`
  Throws:
    `JMSException`

### createDestination

    public Destination createDestination(Session session,
                                         String name,
                                         boolean topic,
                                         ImmutableEndpoint endpoint)
                                  throws JMSException

  Specified by:
    `createDestination` in interface `JmsSupport`
  Throws:
    `JMSException`

### getJndiDestination

    protected Destination getJndiDestination(String name)
                                      throws JMSException

  Throws:
    `JMSException`

### createTemporaryDestination

    public Destination createTemporaryDestination(Session session,
                                                  boolean topic)
                                           throws JMSException

  Specified by:
    `createTemporaryDestination` in interface `JmsSupport`
  Throws:
    `JMSException`

### send

    public void send(MessageProducer producer,
                     Message message,
                     boolean topic,
                     ImmutableEndpoint endpoint)
              throws JMSException

  Specified by:
    `send` in interface `JmsSupport`
  Throws:
    `JMSException`

### send

    public void send(MessageProducer producer,
                     Message message,
                     Destination dest,
                     boolean topic,
                     ImmutableEndpoint endpoint)
              throws JMSException

  Specified by:
    `send` in interface `JmsSupport`
  Throws:
    `JMSException`

### send

    public void send(MessageProducer producer,
                     Message message,
                     boolean persistent,
                     int priority,
                     long ttl,
                     boolean topic,
                     ImmutableEndpoint endpoint)
              throws JMSException

  Specified by:
    `send` in interface `JmsSupport`
  Throws:
    `JMSException`

### send

    public void send(MessageProducer producer,
                     Message message,
                     Destination dest,
                     boolean persistent,
                     int priority,
                     long ttl,
                     boolean topic,
                     ImmutableEndpoint endpoint)
              throws JMSException

  Specified by:
    `send` in interface `JmsSupport`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.